package com.example.course.user.controller;
import com.example.course.utils.MinioUtils;
import com.example.course.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

@RestController
@RequestMapping("minio")
public class MinioController {
    @Autowired
    private MinioUtils minioUtils;

    /**
     * 上传图片
     * @param file
     * @return
     */
    @RequestMapping("upload")
    public Result upload(@RequestParam("file") MultipartFile file){
        try {
            String s = minioUtils.uploadImage(file);
            return new Result(true,"上传成功",s);
        }catch (Exception e){
            e.printStackTrace();
            return new Result(false,"上传失败");
        }
    }
}
