package com.example.course.user.service;

import com.example.course.user.dto.LoginDto;
import com.example.course.user.dto.PhoneDto;
import com.example.course.user.dto.RegistDto;
import com.example.course.user.pojo.User;
import com.baomidou.mybatisplus.extension.service.IService;
import com.example.course.utils.ResponseResult;

/**
* @author 张大宇
* @description 针对表【user(用户信息表)】的数据库操作Service
* @createDate 2025-05-19 18:56:29
*/
public interface UserService extends IService<User> {

    ResponseResult login(LoginDto loginDto);

    ResponseResult phonelogin(PhoneDto phoneDto);

    ResponseResult regist(RegistDto registDto);

    ResponseResult exit();
}
